# SimpleChunkLocation

data class SimpleChunkLocation(x: Int, z: Int)
Content copied to clipboard

## Functions

component1
Link copied to clipboard
operator fun component1(): Int
Content copied to clipboard
component2
Link copied to clipboard
operator fun component2(): Int
Content copied to clipboard
copy
Link copied to clipboard
fun copy(x: Int, z: Int): SimpleChunkLocation
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

x
Link copied to clipboard
val x: Int
Content copied to clipboard
z
Link copied to clipboard
val z: Int
Content copied to clipboard

## Extensions

withWorld
Link copied to clipboard
fun SimpleChunkLocation.withWorld(world: World): Chunk
Content copied to clipboard